apiVersion: k3d.io/v1alpha5
kind: Simple
metadata:
 name: lab-cluster2
servers: 1
agents: 3
kubeAPI:
  host: "localhost"
  hostIP: "0.0.0.0"
  hostPort: "16444"
image: rancher/k3s:v1.26.4-k3s1
token: superSecretToken
volumes:
  - volume: /ab/k3dvol:/tmp/k3dvol
    nodeFilters:
      - server:*
      - agent:*
ports:
  - port: 18081:80
    nodeFilters:
      - loadbalancer
  - port: 18444:443
    nodeFilters:
      - loadbalancer
  - port: 30011-30020:30011-30020
    nodeFilters:
      - loadbalancer
options:
  kubeconfig:
    updateDefaultKubeconfig: true
    switchCurrentContext: true